
#include "pw/scene/component.hpp"

#include <pw/core/vector.hpp>
#include <pw/core/quaternion.hpp>
#include "pw/scene/node.hpp"

#include <string>

#include <iostream>

namespace pw {

component::component()
//    : _node(n)
{
//	if (_node != nullptr) {

//		for (const auto c : _node->components()) {
//			if (typeid (c.get()).name() == typeid (this).name()) {
//				// error
//				return;
//			}
//		}
////		_node->register_component(this);
//	}
}

component::component(const component &other)
//    : _node(other._node)
{
}

component::~component()
{
//    if (_node != nullptr) _node->unregister_component(this);
}

bool component::enabled() const
{
	return _enabled;
}

void component::set_enabled(bool enabled)
{
	_enabled = enabled;
}



//class trs : public transform {

//    vector3d _position;
//    vector3d _scale;
//    quaterniond _rotation;
//};


}
